Package it.ernytech.tdlib

## Class TdApi.CallStateDiscarded

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallState
    - - it.ernytech.tdlib.TdApi.CallStateDiscarded

Enclosing class:
  TdApi

    public static class TdApi.CallStateDiscarded
    extends TdApi.CallState

The call has ended successfully.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `needDebugInformation` True, if the call debug information should be sent to the server.
`boolean` `needRating` True, if the call rating should be sent to the server.
`TdApi.CallDiscardReason` `reason` The reason, why the call has ended.

### Constructor Summary

Constructors
`CallStateDiscarded()` Default constructor.
`CallStateDiscarded​(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### reason

    public TdApi.CallDiscardReason reason

The reason, why the call has ended.

#### needRating

    public boolean needRating

True, if the call rating should be sent to the server.

#### needDebugInformation

    public boolean needDebugInformation

True, if the call debug information should be sent to the server.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallStateDiscarded

    public CallStateDiscarded()

Default constructor.

#### CallStateDiscarded

    public CallStateDiscarded​(TdApi.CallDiscardReason reason,
                              boolean needRating,
                              boolean needDebugInformation)

Constructor for initialization of all fields.

Parameters:
  `reason` - The reason, why the call has ended.
  `needRating` - True, if the call rating should be sent to the server.
  `needDebugInformation` - True, if the call debug information should be sent to the server.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR